org.apache.cassandra.db.partitions

## Class SingletonUnfilteredPartitionIterator

- java.lang.Object
- - org.apache.cassandra.db.partitions.SingletonUnfilteredPartitionIterator

All Implemented Interfaces:
  java.lang.AutoCloseable, java.util.Iterator<UnfilteredRowIterator>, BasePartitionIterator<UnfilteredRowIterator>, UnfilteredPartitionIterator, CloseableIterator<UnfilteredRowIterator>

    public class SingletonUnfilteredPartitionIterator
    extends java.lang.Object
    implements UnfilteredPartitionIterator

### Constructor Summary

Constructors
Constructor and Description
`SingletonUnfilteredPartitionIterator(UnfilteredRowIterator iter, boolean isForThrift)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`boolean` `hasNext()`
`boolean` `isForThrift()` Whether that partition iterator is for a thrift queries.
`CFMetaData` `metadata()`
`UnfilteredRowIterator` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### SingletonUnfilteredPartitionIterator

    public SingletonUnfilteredPartitionIterator(UnfilteredRowIterator iter,
                                                boolean isForThrift)

### Method Detail

#### isForThrift

    public boolean isForThrift()

Description copied from interface: `UnfilteredPartitionIterator`
Whether that partition iterator is for a thrift queries.

If this is true, the partition iterator may return some empty UnfilteredRowIterator and those should be preserved as thrift include partitions that "exists" (have some cells even if this are actually deleted) but have nothing matching the query.

Specified by:
  `isForThrift` in interface `UnfilteredPartitionIterator`
Returns:
  whether the iterator is for a thrift query.

#### metadata

    public CFMetaData metadata()

Specified by:
  `metadata` in interface `UnfilteredPartitionIterator`

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<UnfilteredRowIterator>`

#### next

    public UnfilteredRowIterator next()

Specified by:
  `next` in interface `java.util.Iterator<UnfilteredRowIterator>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `java.util.Iterator<UnfilteredRowIterator>`

#### close

    public void close()

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `BasePartitionIterator<UnfilteredRowIterator>`
Specified by:
  `close` in interface `CloseableIterator<UnfilteredRowIterator>`